<?php
	include_once(__DIR__."/../../core.php");

	$name="Tipi di canone";

	$id_contratto	=$records[0]['id'];
	$id_anagrafica	=$records[0]['idanagrafica'];
	
	$rs_contratto = $dbo->fetchArray("SELECT id_tipocanone FROM co_contratti WHERE id=\"".$records[0]['id']."\"");		
	$id_tipocontratto=$rs_contratto[0]['id_tipocanone'];
	
	$q = "SELECT * FROM `co_righe_documenti` WHERE idcontratto='".$id_contratto."' and riga_canone='1'";
	
	
	
	$rs = $dbo->fetchArray( $q );
	
	
	
	$tot = sizeof($rs);

	if( $tot>0 ){
		for( $i=0; $i<$tot; $i++ ){
			 if( $rs[$i]['idarticolo'] != 0 ){
				
				$rw_transazione = $dbo->fetchArray( "select  *  from co_documenti where id='".$rs[$i]['iddocumento']."'  ");		
				$descrizione=get_var_tipodoc2($rs[$i]['iddocumento'],"descrizione");
				
				
				$date_added=$rw_transazione[0]['data'];
			
				list($date,$hora)=explode(" ",$date_added);
				list($Y,$m,$d)=explode("-",$date);
				$data=$d."-".$m."-".$Y;
				
				
				echo "<tr><td>\n";
				echo "<a href='".$rootdir."/editor.php?id_module=".$modules_info['Fatture di vendita']['id']."&id_record=".$rs[$i]['iddocumento']."' target=\"_blank\">".nl2br( $rw_transazione[0]['numero_documento']." - ".$descrizione )."</a>\n";
	
				
				//articolo
				echo "<td class='text-left'>\n";
				echo $rs[$i]['descrizione']."\n";
				echo "</td>\n";
				
				
				//Data
				echo "<td class='text-center'>\n";
				echo $data."\n";
				echo "</td>\n";
							
				$qta_consumata=cerca_canone_qta($id_contratto,$rs[$i]['idarticolo']);
				
				if( $qta_consumata > $rs[$i]['qta']  ){
					$qta_consumata = $rs[$i]['qta'] ;
				}
				
				
				//Qta consumata
				echo "<td class='text-center'>\n";
				echo number_format( $qta_consumata, get_var("Cifre decimali"), ",", "." )."\n";
				echo "</td>\n";				
				
				
				echo "</td>\n";
				echo "</td></tr>\n";
			}
			else{	
			}
		}

	}

?>
